Subject: bug#7779: Miserable widget completion for type 'directory on w32

From: Lennart Borgman <[email-masked]>
Date: Mon, 4 Jul 2011 01:23:17 +0200

On Mon, Jul 4, 2011 at 01:04, Juanma Barranquero <[email-masked]> wrote:
> On Mon, Jul 4, 2011 at 00:56, Lennart Borgman <[email-masked]> wrote:
>
>> So S-ESC could be used with both default Emacs bindings and in Viper mode.
>>
>> Yes, I was proposing a change, but I think this should be discussed
>> more.
>
> OK, so we have a keybinding that you could use in Viper, and you want
> to propose a change. Care to do that in emacs-devel? (I don't think it
> will be accepted, but we'll be able to reach a consensus of what to do
> with Viper, I hope).

I can do that later. This binding (S-ESC) is trivial, but I do not
know the state of the completion functions now.

>> Oh, sorry I missed that one. So you want me to test this with the
>> latest build?
>
> Yes. *AND* provide a precise, step-by-step recipe, starting from
> "emacs -Q" (with stock Emacs, not your patched version), and
> explaining clearly what you do get and what do you expected to get.

I just have to find the binaries as I said in another thread ... ;-)

>>  (BTW I see problems with my w32 build on Windows 7
>> 64-bit.
>
> I don't see problems with stock Emacs on Windows 7 64-bit. If you're
> able to reproduce these problems with the standard Emacs, could you
> please file bug reports for them? (Again: with recipes and clear
> explanations, which you often overlook.)

Might be a problem with the old 32-bit compiler I used that shows up.

>> Should we perhaps provide 64-bit binaries? Can we?)
>
> It woud be nice, yes, but so far as I know, no one is working on
> building a 64-bit Windows Emacs. It isn't trivial, it's not just a
> matter of using a 64-bit compiler. But you are welcome to download,
> for example, the Twilight Dragon Media 64-bit build of GCC
> (http://tdm-gcc.tdragon.net/) and try it.

Thanks. Have you tried it? What problems did you see?